# Uses of Class
org.eclipse.ecf.provider.comm.ConnectionEvent

Packages that use ConnectionEvent
Package
Description
org.eclipse.ecf.provider.comm

## Uses of ConnectionEvent in org.eclipse.ecf.provider.comm

Subclasses of ConnectionEvent in org.eclipse.ecf.provider.comm
Modifier and Type
Class
Description
`class`
`AsynchEvent`
Asynchronous connection event class.
`class`
`DisconnectEvent`
Disconnection event
`class`
`SynchEvent`
Synchronous connection event.
Methods in org.eclipse.ecf.provider.comm with parameters of type ConnectionEvent
Modifier and Type
Method
Description
`void`
IConnectionListener.`handleConnectEvent(ConnectionEvent event)`
Handle connect event